/***************************************************************************
                         labjack.c  -  
                             -------------------
    begin                : 2005 07 
    copyright            : (C) 2005 by Wiertlewski Michael
    email                : wiertlew@enise.fr
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This file is part of LabjackDaemon.
 *
 *   LabjackDaemon is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   Foobar is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Foobar; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ***************************************************************************/

#include "configLabjack.h"


typedef struct __StateLabjack
{


	float ai_state[AI_MAX];	//Entrées analogiques
	long ai_overvoltage;

	
	float ao_state[AO_MAX];	//Sorties analogiques
	
	long io_state;	//Entrées/sorties digitales sur le carter
	long configIO; 	//Direction sur le carter 0 entrée, 1 sortie 
	
	long d_state;	//Entrées/sorties digitales sur le D-Sub
	long configD; 	//Direction sur le D-Sub 0 entrée, 1 sortie 
	
	unsigned long compteur; //Impulsions comptée par le compteur
	
	//identité de la Labjack
	long id;			//numéro donnée à la Labjack
	float firmware;		//version du firmware
} StateLabjack;

extern StateLabjack* lj_state;

int labjack_init ();

int labjack_refresh();
void labjack_print();


int labjack_reset (long id);

int labjack_stop (long id);
